summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJason Stryker2019-01-01 09:22:18 -0500
committerJason Stryker2019-01-01 09:22:18 -0500
commit897d85a8372ed2ad38dd3b26e0f834d5b2df6ce6 (patch)
tree6af45c56b992a127c356da593402396f6f2b2e3e
parent89ada2be4b43aa4f7dcce2abcfe92c0eb92e611c (diff)
downloadaur-897d85a8372ed2ad38dd3b26e0f834d5b2df6ce6.tar.gz
update to kernel version 4.20
-rw-r--r--.SRCINFO8
-rw-r--r--PKGBUILD4
2 files changed, 6 insertions, 6 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 95b28fb57a0..5e76f24d44c 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -7,8 +7,8 @@ pkgbase = nvidia-vulkan
license = custom
makedepends = libglvnd
makedepends = linux
- makedepends = linux-headers>=4.19
- makedepends = linux-headers<4.20
+ makedepends = linux-headers>=4.20
+ makedepends = linux-headers<4.21
options = !strip
source = NVIDIA-Linux-x86_64-415.22.01.run::https://developer.nvidia.com/vulkan-beta-4152201-linux
source = nvidia-drm-outputclass.conf
@@ -21,8 +21,8 @@ pkgbase = nvidia-vulkan
pkgname = nvidia-vulkan
pkgdesc = NVIDIA drivers for linux (vulkan developer branch)
- depends = linux>=4.19
- depends = linux<4.20
+ depends = linux>=4.20
+ depends = linux<4.21
depends = nvidia-vulkan-utils=415.22.01
depends = libglvnd
provides = nvidia=415.22.01
diff --git a/PKGBUILD b/PKGBUILD
index 63125da9739..676bc29e8cb 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -13,7 +13,7 @@ pkgrel=1
pkgdesc="NVIDIA drivers for linux (vulkan developer branch)"
arch=('x86_64')
url="https://developer.nvidia.com/vulkan-driver"
-makedepends=('libglvnd' 'linux' 'linux-headers>=4.19' 'linux-headers<4.20')
+makedepends=('libglvnd' 'linux' 'linux-headers>=4.20' 'linux-headers<4.21')
license=('custom')
options=('!strip')
_pkg="NVIDIA-Linux-x86_64-${pkgver}"
@@ -74,7 +74,7 @@ build() {
package_nvidia-vulkan() {
pkgdesc="NVIDIA drivers for linux (vulkan developer branch)"
- depends=('linux>=4.19' 'linux<4.20' "nvidia-vulkan-utils=${pkgver}" 'libglvnd')
+ depends=('linux>=4.20' 'linux<4.21' "nvidia-vulkan-utils=${pkgver}" 'libglvnd')
provides=("nvidia=$pkgver")
conflicts+=('nvidia')